"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Browse = require("components/layouts/Browse");

var _Browse2 = _interopRequireDefault(_Browse);

var _Delete = require("@material-ui/icons/Delete");

var _Delete2 = _interopRequireDefault(_Delete);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BrowseDemo = function (_Component) {
  _inherits(BrowseDemo, _Component);

  function BrowseDemo() {
    _classCallCheck(this, BrowseDemo);

    return _possibleConstructorReturn(this, (BrowseDemo.__proto__ || Object.getPrototypeOf(BrowseDemo)).apply(this, arguments));
  }

  _createClass(BrowseDemo, [{
    key: "model",
    value: function model() {
      return [{
        label: "Radio",
        component: _react2.default.createElement("img", { key: "Radio-component", src: "./demo-dvd-cover.jpg" })
      }, {
        label: "Playlists",
        component: _react2.default.createElement("img", { key: "Playlists-component", src: "./demo-dvd-cover.jpg" })
      }, {
        label: "Albums",
        component: _react2.default.createElement("img", { key: "Album-component", src: "./demo-dvd-cover.jpg" })
      }, {
        label: "Artists",
        component: _react2.default.createElement("img", { key: "Artists-component", src: "./demo-dvd-cover.jpg" })
      }];
    }
  }, {
    key: "render",
    value: function render() {
      var buttonClass = null;
      var iconClass = null;
      var fab = {
        icon: _Delete2.default,
        ariaLabel: "Delete"
      };

      var selectedItem = 0;

      return _react2.default.createElement(_Browse2.default, {
        fab: fab,
        label: "SubFire TV",
        selectedItem: selectedItem,
        drawerCollapsed: false,
        items: this.model()
      });
    }
  }]);

  return BrowseDemo;
}(_react.Component);

exports.default = BrowseDemo;
module.exports = exports.default;