"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _ConsumptionArtwork = require("components/layouts/ConsumptionArtwork");

var _ConsumptionArtwork2 = _interopRequireDefault(_ConsumptionArtwork);

var _LinearProgress = require("@material-ui/core/LinearProgress");

var _LinearProgress2 = _interopRequireDefault(_LinearProgress);

var _styles = require("@material-ui/core/styles");

var _IconButton = require("@material-ui/core/IconButton");

var _IconButton2 = _interopRequireDefault(_IconButton);

var _Delete = require("@material-ui/icons/Delete");

var _Delete2 = _interopRequireDefault(_Delete);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  return {
    primaryButton1080: {
      margin: theme.spacing(1),
      height: "3.0em",
      width: "3.0em"
    },
    primaryIcon1080: {
      width: "2.0em",
      height: "2.0em"
    },
    secondaryButton1080: {
      height: "2.2em",
      width: "2.2em"
    },
    secondaryIcon1080: {
      width: "1.8em",
      height: "1.8em"
    },

    primaryButton720: {
      margin: theme.spacing(1),
      width: "2.4em",
      height: "2.4em"
    },
    primaryIcon720: {
      width: "1.5em",
      height: "1.5em"
    },
    secondaryButton720: {
      width: "1.6em",
      height: "1.6em"
    },
    secondaryIcon720: {
      width: "1.1em",
      height: "1.1em"
    },

    primaryButton: {
      width: 56,
      height: 56
    },
    primaryIcon: {},
    secondaryButton: {},
    secondaryIcon: {},

    button1: {
      margin: theme.spacing(1),
      height: "2em",
      width: "2em"
    },
    icon1: {
      width: "1em",
      height: "1em"
    },
    button2: {
      margin: theme.spacing(1.3),
      height: "4.6em",
      width: "4.6em"
    },
    icon2: {
      width: "1.1em",
      height: "1.1em"
    },
    button3: {
      margin: theme.spacing(2),
      height: "6em",
      width: "6em"
    },
    icon3: {
      width: "1.8em",
      height: "1.8em"
    },
    icon4: {
      width: "2.5em",
      height: "2.5em"
    },
    video: {
      position: "fixed",
      top: "50%",
      left: "50%",
      transform: "translate(-50%, -50%)",
      width: "100%",
      height: "auto",
      zIndex: 0
    },
    eject: {
      position: "absolute",
      top: "5%",
      left: "5%"
    },
    time: {
      position: "absolute",
      top: "5%",
      right: "5%"
    }
  };
};

var ConsumptionArtworkDemo = function (_Component) {
  _inherits(ConsumptionArtworkDemo, _Component);

  function ConsumptionArtworkDemo() {
    _classCallCheck(this, ConsumptionArtworkDemo);

    return _possibleConstructorReturn(this, (ConsumptionArtworkDemo.__proto__ || Object.getPrototypeOf(ConsumptionArtworkDemo)).apply(this, arguments));
  }

  _createClass(ConsumptionArtworkDemo, [{
    key: "render",
    value: function render() {
      var ih = window.innerHeight;
      var classes = this.props.classes;

      var title = "Consumption Artwork with a very long title that should wrap because reasons, dude. now can i make this go 3 lines so i know how to chop it off...";
      var subtitle = "Demo of the thing that is very long and very wrappy and how long should this be to prove my damn point i don't know. and can this go 3 lines so i know to chop it off?";
      var leftValue = "35:00";
      var rightValue = "1:40:00";
      var progress = _react2.default.createElement(_LinearProgress2.default, { variant: "determinate", value: 35 });

      var buttonClass = ih > 900 ? classes.primaryButton1080 : ih > 595 ? classes.primaryButton720 : classes.primaryButton;
      var iconClass = ih > 900 ? classes.primaryIcon1080 : ih > 595 ? classes.primaryIcon720 : classes.primaryIcon;

      var buttonClass2 = ih > 900 ? classes.secondaryButton1080 : ih > 395 ? classes.secondaryButton720 : classes.secondaryButton;
      var iconClass2 = ih > 900 ? classes.secondaryIcon1080 : ih > 395 ? classes.secondaryIcon720 : classes.secondaryIcon;

      var buttons = [_react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        {
          variant: "fab",
          color: "secondary",
          className: buttonClass,
          "aria-label": "Delete"
        },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      )];

      var footerButtons = [_react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass2, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass2 })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass2, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass2 })
      )];

      var video = _react2.default.createElement("img", {
        alt: "",
        src: "http://via.placeholder.com/1280x720",
        className: classes.video
      });

      var cprops = {
        title: title,
        subtitle: subtitle,
        progress: progress,
        buttons: buttons,
        footerButtons: footerButtons,
        leftValue: leftValue,
        rightValue: rightValue,
        video: video,
        artImgUrl: "./demo-album-cover.jpg"
      };

      return _react2.default.createElement(_ConsumptionArtwork2.default, cprops);
    }
  }]);

  return ConsumptionArtworkDemo;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(ConsumptionArtworkDemo);
module.exports = exports.default;