"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _ConsumptionAuto = require("components/layouts/ConsumptionAuto");

var _ConsumptionAuto2 = _interopRequireDefault(_ConsumptionAuto);

var _LinearProgress = require("@material-ui/core/LinearProgress");

var _LinearProgress2 = _interopRequireDefault(_LinearProgress);

var _styles = require("@material-ui/core/styles");

var _IconButton = require("@material-ui/core/IconButton");

var _IconButton2 = _interopRequireDefault(_IconButton);

var _Delete = require("@material-ui/icons/Delete");

var _Delete2 = _interopRequireDefault(_Delete);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  return {
    button1: {
      marginTop: 10,
      marginLeft: theme.spacing(2),
      marginRight: theme.spacing(2),
      height: '2em',
      width: '2em'
    },
    icon1: {
      width: '1em',
      height: '1em'
    },
    button2: {
      marginTop: 10,
      marginLeft: theme.spacing(4),
      marginRight: theme.spacing(4),
      height: '2.6em',
      width: '2.6em'
    },
    icon2: {
      width: '1.3em',
      height: '1.3em'
    },
    button3: {
      marginTop: 10,
      marginLeft: theme.spacing(6),
      marginRight: theme.spacing(6),
      height: '4em',
      width: '4em'
    },
    icon3: {
      width: '2em',
      height: '2em'
    }
  };
};

var ConsumptionAutoDemo = function (_Component) {
  _inherits(ConsumptionAutoDemo, _Component);

  function ConsumptionAutoDemo() {
    _classCallCheck(this, ConsumptionAutoDemo);

    return _possibleConstructorReturn(this, (ConsumptionAutoDemo.__proto__ || Object.getPrototypeOf(ConsumptionAutoDemo)).apply(this, arguments));
  }

  _createClass(ConsumptionAutoDemo, [{
    key: "render",
    value: function render() {
      var ih = window.innerHeight;
      var classes = this.props.classes;

      var title = "Consumption Auto With a very long title that should wrap";
      var subtitle = "Demo";
      var leftValue = "35:00";
      var rightValue = "1:40:00";
      var progress = _react2.default.createElement(_LinearProgress2.default, { variant: "determinate", value: 35 });

      var buttonClass = ih > 700 ? classes.button3 : ih > 395 ? classes.button2 : classes.button1;
      var iconClass = ih > 700 ? classes.icon3 : ih > 395 ? classes.icon2 : classes.icon1;

      // HACK: from the sizes being rendered

      var firstActionButtons = [_react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { variant: "fab", color: "secondary", className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      )];

      var secondActionButtons = [_react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      )];

      var art = "http://via.placeholder.com/400x400";
      var artSize = 400;

      var buttonClasses = {
        button1: classes.button1,
        icon1: classes.icon1,
        button2: classes.button2,
        icon2: classes.icon2,
        button3: classes.button3,
        icon3: classes.icon3
      };

      var cprops = {
        buttonClasses: buttonClasses,
        title: title,
        subtitle: subtitle,
        progress: progress,
        firstActionButtons: firstActionButtons,
        secondActionButtons: secondActionButtons,
        leftValue: leftValue,
        rightValue: rightValue,
        art: art,
        artSize: artSize
      };

      return _react2.default.createElement(_ConsumptionAuto2.default, cprops);
    }
  }]);

  return ConsumptionAutoDemo;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(ConsumptionAutoDemo);
module.exports = exports.default;