"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Details = require("components/layouts/Details");

var _Details2 = _interopRequireDefault(_Details);

var _styles = require("@material-ui/core/styles");

var _Button = require("@material-ui/core/Button");

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  return {
    button: {
      margin: theme.spacing(1)
    },
    input: {
      display: 'none'
    }
  };
};

var DetailsDemo = function (_Component) {
  _inherits(DetailsDemo, _Component);

  function DetailsDemo() {
    _classCallCheck(this, DetailsDemo);

    return _possibleConstructorReturn(this, (DetailsDemo.__proto__ || Object.getPrototypeOf(DetailsDemo)).apply(this, arguments));
  }

  _createClass(DetailsDemo, [{
    key: "render",
    value: function render() {
      var classes = this.props.classes;

      var buttons = _react2.default.createElement(
        _react2.default.Fragment,
        null,
        _react2.default.createElement(
          _Button2.default,
          { className: classes.button },
          "Button 1 Long"
        ),
        _react2.default.createElement(
          _Button2.default,
          { className: classes.button },
          "Button 2"
        ),
        _react2.default.createElement(
          _Button2.default,
          { className: classes.button },
          "Button 3"
        )
      );

      var cprops = {
        bgImgUrl: './demo-album-cover.jpg',
        imgUrl: './demo-dvd-cover.jpg',
        mainButtons: buttons,
        title: "Title Goes Here"
      };

      return _react2.default.createElement(_Details2.default, cprops);
    }
  }]);

  return DetailsDemo;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(DetailsDemo);
module.exports = exports.default;