"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Search = require("components/layouts/Search");

var _Search2 = _interopRequireDefault(_Search);

var _IconButton = require("@material-ui/core/IconButton");

var _IconButton2 = _interopRequireDefault(_IconButton);

var _Search3 = require("@material-ui/icons/Search");

var _Search4 = _interopRequireDefault(_Search3);

var _Input = require("@material-ui/core/Input");

var _Input2 = _interopRequireDefault(_Input);

var _InputLabel = require("@material-ui/core/InputLabel");

var _InputLabel2 = _interopRequireDefault(_InputLabel);

var _InputAdornment = require("@material-ui/core/InputAdornment");

var _InputAdornment2 = _interopRequireDefault(_InputAdornment);

var _FormHelperText = require("@material-ui/core/FormHelperText");

var _FormHelperText2 = _interopRequireDefault(_FormHelperText);

var _FormControl = require("@material-ui/core/FormControl");

var _FormControl2 = _interopRequireDefault(_FormControl);

var _TextField = require("@material-ui/core/TextField");

var _TextField2 = _interopRequireDefault(_TextField);

var _styles = require("@material-ui/core/styles");

var _classnames = require("classnames");

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  return {
    button1: {
      margin: theme.spacing(1),
      height: "2em",
      width: "2em"
    },
    icon1: {
      width: "1em",
      height: "1em"
    },
    button2: {
      margin: theme.spacing(1.3),
      height: "2.6em",
      width: "2.6em"
    },
    icon2: {
      width: "1.3em",
      height: "1.3em"
    },
    button3: {
      margin: theme.spacing(2),
      height: "4em",
      width: "4em"
    },
    icon3: {
      width: "2em",
      height: "2em"
    }
  };
};

var SearchDemo = function (_Component) {
  _inherits(SearchDemo, _Component);

  function SearchDemo() {
    _classCallCheck(this, SearchDemo);

    return _possibleConstructorReturn(this, (SearchDemo.__proto__ || Object.getPrototypeOf(SearchDemo)).apply(this, arguments));
  }

  _createClass(SearchDemo, [{
    key: "render",
    value: function render() {
      var classes = this.props.classes;

      var sprops = {};
      var ih = window.innerHeight;

      var buttonClass = ih > 1000 ? classes.button3 : ih > 700 ? classes.button2 : classes.button1;
      var iconClass = ih > 1000 ? classes.icon3 : ih > 700 ? classes.icon2 : classes.icon1;

      sprops.button = _react2.default.createElement(
        _IconButton2.default,
        {
          variant: "fab",
          color: "secondary",
          className: buttonClass,
          "aria-label": "Delete"
        },
        _react2.default.createElement(_Search4.default, { className: iconClass })
      );

      sprops.input = _react2.default.createElement(_TextField2.default, {
        className: (0, _classnames2.default)(classes.margin, classes.textField),
        placeholder: "Search for your music here...",
        InputProps: {
          fullWidth: true,
          startAdornment: _react2.default.createElement(
            _InputAdornment2.default,
            { position: "end" },
            _react2.default.createElement(_Search4.default, null)
          )
        }
      });

      sprops.results = _react2.default.createElement(
        "span",
        null,
        "results..."
      );

      return _react2.default.createElement(_Search2.default, sprops);
    }
  }]);

  return SearchDemo;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(SearchDemo);
module.exports = exports.default;