"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Card = require("@material-ui/core/Card");

var _Card2 = _interopRequireDefault(_Card);

var _Grid = require("@material-ui/core/Grid");

var _Grid2 = _interopRequireDefault(_Grid);

var _Typography = require("@material-ui/core/Typography");

var _Typography2 = _interopRequireDefault(_Typography);

var _styles = require("@material-ui/core/styles");

var _classnames = require("classnames");

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  return {
    title: {
      textAlign: "left"
      // position: "fixed",
      // left: "15%",
      // bottom: "41%",
      // zIndex: "100"
    },
    subtitle: {
      textAlign: "left"
      // position: "fixed",
      // left: "15%",
      // bottom: "35%",
      // zIndex: "100"
    },
    card: {
      position: "fixed",
      width: "70%",
      bottom: "20%",
      left: "15%",
      zIndex: "100"
    },
    footer: {
      position: "fixed",
      width: "70%",
      bottom: "10%",
      left: "15%",
      zIndex: "100"
    },
    caption: {
      // position: "absolute",
      top: ".5em"
    },
    left: {
      left: "1em"
    },
    right: {
      right: "1em"
    }
  };
};

var Consumption = function (_Component) {
  _inherits(Consumption, _Component);

  function Consumption() {
    _classCallCheck(this, Consumption);

    return _possibleConstructorReturn(this, (Consumption.__proto__ || Object.getPrototypeOf(Consumption)).apply(this, arguments));
  }

  _createClass(Consumption, [{
    key: "render",
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          _props$buttons = _props.buttons,
          buttons = _props$buttons === undefined ? [] : _props$buttons,
          progress = _props.progress,
          title = _props.title,
          subtitle = _props.subtitle,
          _props$footerButtons = _props.footerButtons,
          footerButtons = _props$footerButtons === undefined ? [] : _props$footerButtons,
          leftValue = _props.leftValue,
          rightValue = _props.rightValue,
          video = _props.video;
      // console.log(this.props);

      return _react2.default.createElement(
        _react2.default.Fragment,
        null,
        video,
        _react2.default.createElement(
          "div",
          { className: classes.card },
          _react2.default.createElement(
            _Grid2.default,
            {
              container: true,
              alignItems: "flex-start",
              direction: "column",
              justify: "flex-end"
            },
            _react2.default.createElement(
              _Grid2.default,
              { item: true },
              _react2.default.createElement(
                _Typography2.default,
                { variant: "h2", className: classes.title },
                title
              )
            ),
            _react2.default.createElement(
              _Grid2.default,
              { item: true },
              _react2.default.createElement(
                _Typography2.default,
                { variant: "h5", className: classes.subtitle },
                subtitle
              )
            )
          ),
          _react2.default.createElement(
            _Card2.default,
            { className: classes.cardx },
            progress,
            _react2.default.createElement(
              _Grid2.default,
              { container: true, justify: "center", alignItems: "center" },
              _react2.default.createElement(
                _Grid2.default,
                { item: true, xs: true },
                _react2.default.createElement(
                  _Typography2.default,
                  {
                    variant: "caption",
                    className: (0, _classnames2.default)(classes.left, classes.caption)
                  },
                  leftValue
                )
              ),
              buttons.map(function (b, i) {
                return _react2.default.createElement(
                  _Grid2.default,
                  { item: true, key: i, xs: true },
                  b
                );
              }),
              _react2.default.createElement(
                _Grid2.default,
                { item: true, xs: true },
                _react2.default.createElement(
                  _Typography2.default,
                  {
                    variant: "caption",
                    className: (0, _classnames2.default)(classes.right, classes.caption)
                  },
                  rightValue
                )
              )
            )
          )
        ),
        _react2.default.createElement(
          _Grid2.default,
          { container: true, className: classes.footer },
          _react2.default.createElement(_Grid2.default, { item: true, xs: true }),
          footerButtons.map(function (b, i) {
            return _react2.default.createElement(
              _Grid2.default,
              { item: true, xs: 2, key: i },
              b
            );
          }),
          _react2.default.createElement(_Grid2.default, { item: true, xs: true })
        )
      );
    }
  }]);

  return Consumption;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(Consumption);
module.exports = exports.default;