import React, { Component } from "react";
import Browse from "components/layouts/Browse";

import DeleteIcon from "@material-ui/icons/Delete";

class BrowseDemo extends Component {
  model() {
    return [
      {
        label: "Radio",
        component: <img key="Radio-component" src="./demo-dvd-cover.jpg" />
      },
      {
        label: "Playlists",
        component: <img key="Playlists-component" src="./demo-dvd-cover.jpg" />
      },
      {
        label: "Albums",
        component: <img key="Album-component" src="./demo-dvd-cover.jpg" />
      },
      {
        label: "Artists",
        component: <img key="Artists-component" src="./demo-dvd-cover.jpg" />
      }
    ];
  }

  render() {
    const buttonClass = null;
    const iconClass = null;
    const fab = {
      icon: DeleteIcon,
      ariaLabel: "Delete"
    };

    const selectedItem = 0;

    return (
      <Browse
        fab={fab}
        label="SubFire TV"
        selectedItem={selectedItem}
        drawerCollapsed={false}
        items={this.model()}
      />
    );
  }
}

export default BrowseDemo;
