import React, {Component} from "react";

import Details from "components/layouts/Details";
import {withStyles} from "@material-ui/core/styles";
import Button from "@material-ui/core/Button";

const styles = theme => ({
  button: {
    margin: theme.spacing(1)
  },
  input: {
    display: 'none'
  }
});

class DetailsDemo extends Component {

  render() {
    const {classes} = this.props;
    const buttons = (<React.Fragment>
      <Button className={classes.button}>
        Button 1 Long
      </Button>
      <Button className={classes.button}>
        Button 2
      </Button>
      <Button className={classes.button}>
        Button 3</Button>
    </React.Fragment>)

    const cprops = {
      bgImgUrl: './demo-album-cover.jpg',
      imgUrl: './demo-dvd-cover.jpg',
      mainButtons: buttons,
      title: "Title Goes Here"
    };

    return <Details {...cprops}/>;
  }
}

export default withStyles(styles)(DetailsDemo);
