"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Consumption = require("components/layouts/Consumption");

var _Consumption2 = _interopRequireDefault(_Consumption);

var _LinearProgress = require("@material-ui/core/LinearProgress");

var _LinearProgress2 = _interopRequireDefault(_LinearProgress);

var _styles = require("@material-ui/core/styles");

var _IconButton = require("@material-ui/core/IconButton");

var _IconButton2 = _interopRequireDefault(_IconButton);

var _Delete = require("@material-ui/icons/Delete");

var _Delete2 = _interopRequireDefault(_Delete);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  return {
    button1: {
      margin: theme.spacing(1),
      height: '2em',
      width: '2em'
    },
    icon1: {
      width: '1em',
      height: '1em'
    },
    button2: {
      margin: theme.spacing(1.3),
      height: '2.6em',
      width: '2.6em'
    },
    icon2: {
      width: '1.3em',
      height: '1.3em'
    },
    button3: {
      margin: theme.spacing(2),
      height: '4em',
      width: '4em'
    },
    icon3: {
      width: '2em',
      height: '2em'
    },
    video: {
      position: "fixed",
      top: "50%",
      left: "50%",
      transform: "translate(-50%, -50%)",
      width: "100%",
      height: "auto",
      zIndex: 0
    }
  };
};

var ConsumptionDemo = function (_Component) {
  _inherits(ConsumptionDemo, _Component);

  function ConsumptionDemo() {
    _classCallCheck(this, ConsumptionDemo);

    return _possibleConstructorReturn(this, (ConsumptionDemo.__proto__ || Object.getPrototypeOf(ConsumptionDemo)).apply(this, arguments));
  }

  _createClass(ConsumptionDemo, [{
    key: "render",
    value: function render() {
      var ih = window.innerHeight;
      var classes = this.props.classes;

      var title = "Consumption";
      var subtitle = "Demo";
      var leftValue = "35:00";
      var rightValue = "1:40:00";
      var progress = _react2.default.createElement(_LinearProgress2.default, { variant: "determinate", value: 35 });

      var buttonClass = ih > 1000 ? classes.button3 : ih > 700 ? classes.button2 : classes.button1;
      var iconClass = ih > 1000 ? classes.icon3 : ih > 700 ? classes.icon2 : classes.icon1;

      var buttons = [_react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        {
          variant: "fab",
          color: "secondary",
          className: buttonClass,
          "aria-label": "Delete"
        },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      )];

      var footerButtons = [_react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      ), _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Delete" },
        _react2.default.createElement(_Delete2.default, { className: iconClass })
      )];

      var video = _react2.default.createElement("img", {
        alt: "",
        src: "http://via.placeholder.com/1280x720",
        className: classes.video
      });

      var cprops = {
        title: title,
        subtitle: subtitle,
        progress: progress,
        buttons: buttons,
        footerButtons: footerButtons,
        leftValue: leftValue,
        rightValue: rightValue,
        video: video
      };

      return _react2.default.createElement(_Consumption2.default, cprops);
    }
  }]);

  return ConsumptionDemo;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(ConsumptionDemo);
module.exports = exports.default;