"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Toolbar = require("@material-ui/core/Toolbar");

var _Toolbar2 = _interopRequireDefault(_Toolbar);

var _Typography = require("@material-ui/core/Typography");

var _Typography2 = _interopRequireDefault(_Typography);

var _styles = require("@material-ui/core/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  return {
    root: {
      height: "100%",
      width: "100%",
      overflow: 'auto'
    },
    img: {
      position: 'absolute',
      top: 0,
      bottom: "50%",
      left: 0,
      right: 0,
      overflow: 'hidden'
    },
    imgContent: {
      width: "100%",
      height: "auto"
    },
    rest: {
      position: 'absolute',
      top: "40%",
      left: 0,
      right: 0,
      bottom: 0
    },
    buttonRow: {
      backgroundColor: "green"
    },
    buttonRowMain: {
      left: 'calc(10% + 128px + 30px)',
      position: 'absolute'
    },
    detail: {
      width: "100%",
      height: 'calc(100% - 64px)',
      backgroundColor: "blue",
      display: "flex",
      flexDirection: 'column'
    },
    detailItem: {
      flex: "1 1 auto",
      marginTop: "16px"
    },
    image: {
      height: '128px',
      width: 'auto',
      position: 'absolute',
      top: '-48px',
      left: '10%'
    }
  };
};

var Details = function (_Component) {
  _inherits(Details, _Component);

  function Details() {
    _classCallCheck(this, Details);

    return _possibleConstructorReturn(this, (Details.__proto__ || Object.getPrototypeOf(Details)).apply(this, arguments));
  }

  _createClass(Details, [{
    key: "render",
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          imgUrl = _props.imgUrl,
          bgImgUrl = _props.bgImgUrl,
          mainButtons = _props.mainButtons;

      return _react2.default.createElement(
        "div",
        { className: classes.root },
        _react2.default.createElement(
          "div",
          { className: classes.img },
          _react2.default.createElement("img", { className: classes.imgContent, src: bgImgUrl })
        ),
        _react2.default.createElement(
          "div",
          { className: classes.rest },
          _react2.default.createElement(
            _Toolbar2.default,
            { className: classes.buttonRow },
            _react2.default.createElement("img", { className: classes.image, src: imgUrl }),
            _react2.default.createElement(
              "div",
              { className: classes.buttonRowMain },
              mainButtons
            )
          ),
          _react2.default.createElement(
            "div",
            { className: classes.detail },
            _react2.default.createElement(
              "div",
              { className: classes.detailItem },
              "detailrow"
            )
          ),
          _react2.default.createElement(
            "div",
            null,
            "offscreencontent"
          ),
          _react2.default.createElement(
            "div",
            null,
            "img"
          )
        )
      );
    }
  }]);

  return Details;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(Details);
module.exports = exports.default;